.header-main {
	.header--navigation {
	    display: flex;
	    flex-direction: column;
	    flex-wrap: nowrap;
	    justify-content: space-between;
	    align-items: center;
	    @media screen and (min-width: @desktopViewportWidth) {
		    flex-direction: row;
	    }
	    
	    // Logo
    	.logo-main {
	    	flex: 0 0 auto;
	    	padding: 0;
	    	width: auto;
	    	margin: 18px 0;
	    	@media screen and (min-width: @desktopViewportWidth) {
		    	margin: 0;
	    	}
	    	.logo--link {
    	        .unitize-height(80, 16);
    	        display: inline-block;
    	        max-width: 100%;
    	        width: 100%;
    	        img {
	    	        width: 130px;
	    	        //width: auto;
	    	        margin: 0 auto;
	    	        height: auto;
	    	        @media screen and (min-width: @tabletViewportWidth) {
		    	        margin: 0;
	    	        }
    	        }
    	    }
    	    
    	    // Smaller logo for mobile viewports
    	    .logo--shop {
    	        .unitize-height(80, 16);
    	        width: 100%;
    	    }
	    	
	    	@media screen and (min-width: @tabletViewportWidth) {
		    	.logo--link {
    	    	    .unitize-height(120, 16);
    	    	}
    	    	
    	    	// Smaller logo for mobile viewports
    	    	.logo--shop {
    	    	    .unitize-height(120, 16);
    	    	}
	    	}
	    	
		    @media screen and (min-width: @desktopViewportWidth) {
		    	.logo--link {
    	    	    .unitize-height(160, 16);
    	    	}
    	    	
    	    	// Smaller logo for mobile viewports
    	    	.logo--shop {
    	    	    .unitize-height(160, 16);
    	    	}
    	    }
    	}
    	
    	.entry--search {
	    	position: relative;
	    	margin-right: 5px;
	    	left: 0;
    	}
    	
    	.shop--navigation {
	    	flex: 0 1 auto;
	    	width: 100%;
	    	
	    	.navigation--list {
		    	@media screen and (min-width: @tabletViewportWidth) {
		    		text-align: center;
		    		
	    		}
	    		@media screen and (min-width: @desktopViewportWidth) {
			    	text-align: right;
		    	}
	    	}
	    	.entry--search.is--active .main-search--form {
		    	width: 49vw;
		    	@media screen and (min-width: @tabletViewportWidth) {
			    	width: 100%;
		    	}
	    	}
    	}
	    
    }
	
    
}